commit 946b07897ec3db52d5d1c98d3aed4266d7b401e7
Author: freddy77 <freddy77>
Date:   Wed Aug 26 12:19:01 2009 +0000

    make check now works if configure was launched from another directory

diff --git a/ChangeLog b/ChangeLog
index 3c83547..8e46f72 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Wed Aug 26 14:18:35 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/unittests/common.c:
+	- make check now works if configure was launched from another
+	  directory
+
 Wed Aug 26 14:16:00 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* misc/test-dist.sh: test-dist now works with new configure script
 
@@ -1803,4 +1808,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2860 2009/08/26 12:17:31 freddy77 Exp $
+$Id: ChangeLog,v 1.2861 2009/08/26 12:19:01 freddy77 Exp $
diff --git a/src/dblib/unittests/common.c b/src/dblib/unittests/common.c
index 337c4d7..016466e 100644
--- a/src/dblib/unittests/common.c
+++ b/src/dblib/unittests/common.c
@@ -14,7 +14,7 @@
 
 #include "replacements.h"
 
-static char software_version[] = "$Id: common.c,v 1.36 2009/04/17 09:54:27 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.37 2009/08/26 12:19:01 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 typedef struct _tag_memcheck_t
@@ -245,7 +245,7 @@ read_login_info(int argc, char **argv)
 #if 0
 	dbrecftos(BASENAME);
 #endif
-	len = snprintf(sql_file, sizeof(sql_file), "%s.sql", BASENAME);
+	len = snprintf(sql_file, sizeof(sql_file), "%s/%s.sql", FREETDS_SRCDIR, BASENAME);
 	assert(len <= sizeof(sql_file));
 
 	if ((input_file = fopen(sql_file, "r")) == NULL) {

